---
title: 'RTCDtlsTransport: error event'
slug: Web/API/RTCDtlsTransport/error_event
tags:
  - API
  - Connection
  - DTLS
  - Error
  - Networking
  - RTCDtlsTransport
  - Reference
  - Transport
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - events
---
<p>{{WebRTCSidebar}}</p>

<p>An {{domxref("RTCDtlsTransport")}} receives an <code>error</code> event when a transport-level error occurs on the {{domxref("RTCPeerConnection")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("RTCErrorEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{DOMxRef("RTCDtlsTransport.onerror", "onerror")}}</td>
  </tr>
 </tbody>
</table>

<p>The {{domxref("RTCErrorEvent")}} object provides details about the error that occurred; see that article for details.</p>

<h2 id="Description">Description</h2>

<p>Transport-level errors will have one of the following values for the specified error's {{domxref("RTCError")}} property {{domxref("RTCError.errorDetail", "errorDetail")}}:</p>

<dl>
 <dt><code>dtls-failure</code></dt>
 <dd>The negotiation of the {{Glossary("DTLS")}} connection failed, or the connection was terminated with a fatal error. The error's {{domxref("RTCError.message", "message")}} contains details about the nature of the error. If a fatal error is <em>received</em>, the error object's {{domxref("RTCError.receivedAlert", "receivedAlert")}} property is set to the value of the DTLSL alert received. If, on the other hand, a fatal error was <em>sent</em>, the {{domxref("RTCError.sentAlert", "sentAlert")}} is set to the alert's value.</dd>
 <dt><code>fingerprint-failure</code></dt>
 <dd>The remote certificate for the {{domxref("RTCDtlsTransport")}} didn't match any of the fingerprints listed in the SDP. If the remote peer can't match the local certificate against the provided fingerprints, this error doesn't occur, though this situation may result instead in a <code>dtls-failure</code> error.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>In this example, the {{domxref("RTCDtlsTransport.onerror", "onerror")}} event handler property is used to set the handler for the <code>error</code> event.</p>

<pre class="brush: js notranslate">transport.onerror = ev =&gt; {
  const err = ev.error;

  /* ... */
}</pre>

<div class="notecard note">
<p><strong>Note:</strong> Since <code>RTCError</code> is not one of the legacy errors, the value of {{domxref("DOMException.code", "RTCError.code")}} is always 0.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dfn-rtcdtlstransport-error', 'RTCDtlsTransport: error event')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDtlsTransport.error_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
</ul>
